Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgLineStringCollection Class Reference
[MgLineStringCollection]

MgLineStringCollection provides support for defining an ordered set of line strings. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgLineString *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all line strings from the collection.
virtual bool | Contains (const MgLineString *value) const
| Returns true if the collection contains the specified line string, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of line strings in the collection.
virtual MgLineString * | GetItem (INT32 index) const
| Gets the line string in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgLineString *value) const
| Returns the index of the specified line string in the collection or -1 if the line string does not exist.
virtual void | Insert (INT32 index, MgLineString *value)
| Inserts the specified line string at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgLineStringCollection ()
| Construct a MgLineStringCollection object.
virtual bool | Remove (const MgLineString *value)
| Removes the specified line string from the collection.
virtual void | RemoveAt (INT32 index)
| Removes the line string at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgLineString *value)
| Sets the line string in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgLineStringCollection provides support for defining an ordered set of line strings.

Comments or suggestions? Send us feedback.